#!/usr/bin/env python3

'''
circlepi.py

Computes an approximation of Pi through a disk area

Usage: python3 circle.py 1000 py

Author: Xavier Bourgeois - xavier@monorailc.at
License: Creative Commons - BY-NC
Article: https://monorailc.at/cms/2025-05-20-comparaison-de-langages-de-programmation--5----autre-algorithme.html
Date: 2025-05-17
'''
__author__ = "Xavier Bourgeois"
__email__ = "xavier@monorailc.at"
__license__ = "CC-BY-NC"

import sys
import numpy as np

def circlepi(n):
	count = 0
	for i in range(-n, n+1):
		for j in range(-n, n+1):
			if(i*i + j*j < n*n):
				count += 1

	print(str(n) + "\t"+ str(count/(n*n)) + "\t" + str(np.pi - count/(n*n)))

if __name__ == '__main__':
	# hanldling cli arguments
	if(len(sys.argv) < 3):
		exit(1)
	if(int(sys.argv[1]) < 0):
		exit(1)
	else:
		n = int(sys.argv[1])
	#if(sys.argv[2] == 'np'):
	#	circlepi_np(n)
	if(sys.argv[2] == 'py'):
		circlepi(n)
	exit(0)
